Jump to: navigation, search

Preparations

My OS doesn't offer python 3.6

See https://github.com/pyenv/pyenv

Ubuntu

sudo apt update
sudo apt install python3.6 build-essential git
sudo apt-get build-dep qt5-default
sudo apt install libxcb-xinerama0-dev

Other

See https://wiki.qt.io/Building_Qt_5_from_Git

Install Craft

 wget https://raw.githubusercontent.com/KDE/craft/master/setup/CraftBootstrap.py -O CraftSetup.py &&\
 python3.6 CraftSetup.py --prefix ~/CraftRoot

This page was last edited on 18 October 2018, at 07:22. Content is available under Creative Commons License SA 4.0 unless otherwise noted.